/*
 * Copyright (C) 2015 
 * $Id$
 *
 *  Original code: Martin Pool, Copyright (C) 1997 Pharos IP Pty Ltd
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.greenstone.tdbjava;

public class Test
{
    static int number_tests  = 0;
    static int number_passed = 0;

    private Test() {;}

    static public void ok(double label)
    {
	Test.ok(label, true);
    }

    static public void ok(double label, boolean passed)
    {
	System.out.print("Test #" + String.format("%3.1f", label) + ": ");
	number_tests++;
	if (passed) {
	    System.out.println(" Passed");
	    number_passed++;
	}
	else {
	    System.out.println(" Failed");
	}
    }

    static public void summary()
    {
	System.out.println("Test Summary: " + number_passed + " of " + number_tests + " passed");
    }
}
